Subject: SPI Problem

From: [email-masked]
Date: Tue, 01 Aug 2006 12:00:48 +0200

Hi

I´m writing a Driver for SPI. That is not working now.
I have a MPC8260 using Linux 2.6.14 (rheap patch).

My Problems and Questions

1. The Pointer in my BD to my "Buffer Pointer" is in external memory, I normaly allocated with kmalloc. Are this ok or need I a SDMA Page ?

2. My SPCOM[STR] flag isn´t cleared automatically after one clock cycle.
What here going wrong ?

I hope somebody could help. Thx

Regards
Fred

-- 

"Feel free" – 10 GB Mailbox, 100 FreeSMS/Monat ...
Jetzt GMX TopMail testen: http://www.gmx.net/de/go/topmail